# Title slide content
metas:
  author: Sorin Mitran
  title: MATH661 Scientific Computation I
  institute: Applied Mathematics\\University of North Carolina\\Chapel Hill
  date: Lesson 01
  short: MATH661-L01

Scientific computation:
  History:
    # 1
    image abacus.png Applied mathematics:
      - Typical approach:
        - Choose/develop appropriate mathematical theory for an application
        - Formulate a solution strategy
        - Find solutions under variety of assumptions
      - Applied mathematics approaches:
        - Analytical estimates
        - Numerical computation
        - Symbolic computation
        - Analog computation
      - Computation devices:
        - Mechanical devices from ca. 2500 BCE
        - Slide rule ca. 1620
        - AC/DC analog computers ca. 1900
        - Digital computers ca. 1950
  Motivation:
    # 2
    animation 80 Model complicated phenomena:
      - Euler equations of gas dynamics
      - Diffraction of shock wave over a cavity
    # 3
    image inspiration.png Provide otherwise inaccessible data:
      - Medical data
      - Subsurface models (e.g., natural gas reservoirs)
      - Astrophysical computation    
  Approach:
    # 4
    image ENIAC.png Digital numerical computation:
      - Approach:
        - Digital computers are finite state machines
        - Introduce finite number systems:
          - $\mathbbm{I} \subset \mathbbm{N}$, e.g. $\mathbbm{I}_{64}$ a.k.a. long int
          - $\mathbbm{F} \subset \mathbbm{Q} \subset \mathbbm{R}$, e.g. $\mathbbm{F}_{64}$ a.k.a. double
        - Discretize problem of interest in $\mathbbm{I}, \mathbbm{F}$
        - Solve discretized problem
        - Interpret results
    # 5
    Questions:
      - What is the effect of using approximations of $\mathbbm{N}, \mathbbm{R}$?
      - How do we establish correctness?:
        - convergence
        - stability to errors
      - How do we devise algorithms?
      - What theoretical constructs are needed?
